Foros del Web » Programando para Internet » PHP »

Ayuda: Php - Gd - Linux - Coppermine.

Estas en el tema de Ayuda: Php - Gd - Linux - Coppermine. en el foro de PHP en Foros del Web. Buenos días: En primer lugar disculpen por no haber sido más específico en el título del tema, pero no se me ocurría como titularlo. Bueno, ...
  #1 (permalink)  
Antiguo 12/01/2005, 04:21
 
Fecha de Ingreso: junio-2003
Ubicación: Asturias
Mensajes: 2.427
Antigüedad: 14 años, 6 meses
Puntos: 7
Ayuda: Php - Gd - Linux - Coppermine.

Buenos días:

En primer lugar disculpen por no haber sido más específico en el título del tema, pero no se me ocurría como titularlo.

Bueno, allá voy:

Creo que mi PHP no me pilla la librería Gd-1.8.4-11 que tengo instalada en mi Red Hat.

Al ejecutar mi página con <? phpinfo(); ?> puedo ver, lo siguiente, lo cual me mosquea mucho. (Pueden verlo en http://www.taau.es/movida.php):

--with-gd' '--enable-gd-native-ttf' ' (Creo que ahí debería estar apuntando a un path).


Despues más abajo, en la sección de GD puedo observar las siguientes opciones:

GD Support enabled
GD Version 1.6.2 or higher
FreeType Support enabled
FreeType Linkage with freetype
JPG Support enabled
PNG Support enabled
WBMP Support enabled



Mmm, no me queda nada claro, entonces, ¿El Php.ini sabe donde está el módulo GD o no lo sabe?


Yo creo que no, por que al ejecutar el coppermine, todo me funciona, menos a la hora de crear los thumbnails, además veo lo siguiente:

gd
module doesn't exist


¿Con estos datos podrían decirme si el problema está en que php no localiza los módulos: /usr/lib/libgd.so.1.8 y /usr/lib/libgd.so.1.8.4 o si el problema es que el coppermine los busca en otros sitios?


En fin, espero que puedan ayudarme, y desde ya, muchas gracias. Saludos.
__________________
Charlie.
  #2 (permalink)  
Antiguo 12/01/2005, 04:40
Ex Colaborador
 
Fecha de Ingreso: junio-2002
Mensajes: 9.091
Antigüedad: 15 años, 5 meses
Puntos: 16
Hola,
Cita:
menos a la hora de crear los thumbnails,
¿No estara intentando crear los thumbs en formato gif, el cual no soporta tu version de gd?

Puedes probar los ejemplos sencillos del manual, para ver si reconoce las funciones basicas de la libreria.

Salduos.
__________________
Josemi

Aprendiz de mucho, maestro de poco.
  #3 (permalink)  
Antiguo 12/01/2005, 06:03
 
Fecha de Ingreso: junio-2003
Ubicación: Asturias
Mensajes: 2.427
Antigüedad: 14 años, 6 meses
Puntos: 7
Muchas gracias Josemi, no era eso, pero era algo parecido.

Resulta que en la configuración del Coppermine viene por defecto el uso de las librerías GD 2.X y claro, yo, como tengo las 1.8 pues no me funcionaba.

Ya está solucionado, tenía que haberme fijado un poco más.

Saludos.
__________________
Charlie.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 02:23.